@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.wrapper {
  margin: auto;
  text-align: left;
  position: relative;
  z-index: $z-99;
  background: $brown-70;

  @include tablet-p {
    padding: 0;
    margin-top: -1px;
    background: $green-80;
  }

  @include mobile {
    padding: 0px 0;
  }

  .bgSection {
    background: linear-gradient(180deg, rgba(41, 50, 39, 0) 0%, #293227 84.28%),
      url('/images/request-bg.webp');
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding-left: 110px;

    @include desktop-xlg {
      padding-left: 12vw;
    }

    @include tablet {
      padding-left: 0;
    }

    @include mobile {
      padding-left: 0px;
    }
  }
}

.reservationCard {
  background: $cream-40;
  width: 522px;
  position: relative;
  padding: 20px;
  overflow: hidden;
  margin: 100px 0;

  @include tablet-p {
    width: 490px;
    margin: 50px auto;
  }

  @include mobile {
    margin: 0;
    width: 100%;
    padding-bottom: 250px;
  }
  @include tablet {
    width: 400px;
  }
}

.zIndexStyle {
  position: relative;
  z-index: 9;
}

.treeSection {
  position: absolute;
  top: -5.375rem;
  right: 0;
  width: 30rem;
  height: 34rem;
  z-index: 3;

  @include mobile {
    display: none;
  }

  @include tablet-p {
    display: none;
  }

  &::before {
    position: absolute;
    top: 0;
    right: 0;
    width: 71%;
    height: 68%;
    margin: auto;
    content: '';
    background: $cream-40;
  }

  .treePrint {
    width: 100%;
    height: 100%;
    position: relative;
  }
}

.formWrapper {
  width: 100%;
  position: relative;

  @include tablet-p {
    width: 100%;
    margin: 0px auto 0;
  }

  @include mobile {
    width: 100%;
    margin-top: 30px;
  }

  .formBg {
    border: 0.664418px solid #434f50;
    padding: 50px;

    @include tablet-p {
      padding: 100px 20px;
    }

    @include mobile {
      padding: 100px 20px;
    }
  }

  .inputSection {
    padding-right: 20px;

    @include tablet-p {
      padding: 0;
    }

    @include mobile {
      padding: 0;
    }
  }
}

.formHeading {
  font-family: 'Editorial New';
  font-weight: 200;
  font-size: 60px;
  line-height: 1.3em;
  letter-spacing: 0.01em;
  color: #262e2f;
  text-align: left;
  text-transform: uppercase;
  letter-spacing: 0.01em;
  margin-bottom: 0;
  position: relative;

  @media (max-width: 1024px) {
    font-size: 36px;
    text-align: center;
    margin-top: 0;
    margin-bottom: 3rem;
  }

  span {
    @include fontStyles($brown-50, 'Notera', 400, 4.5rem);
    text-transform: lowercase;
  }
}
.formInputWrapper {
  margin-bottom: 1.5rem;
}
.formInput {
  border: none;
  border-bottom: 1px solid $brown-40;
  width: 100%;
  outline: 1px solid transparent;
  padding: 0.5rem 0;
  letter-spacing: 0.5px;
  background: none;
  @include fontStyles($brown-80, 'Manrope', 400, 1.125rem);

  @include tablet-p {
    font-size: 15px;
  }

  @include mobile {
    font-size: 15px;
  }
}

.agreementCheck {
  display: flex;
  align-items: center;
  & > * + * {
    margin-left: 20px;
  }

  .round {
    label {
      top: 0.25rem;
    }
  }

  p {
    font-size: 14px;
    letter-spacing: 0.01em;
    color: rgba(38, 46, 47, 0.7);
    margin-top: 13px;

    @include tablet-p {
      font-weight: 400;
      font-size: 12px;
      line-height: 130%;
    }

    @include mobile {
      font-weight: 400;
      font-size: 12px;
      line-height: 130%;
    }
  }
}

.requestAVisitBtn {
  width: 100%;
  background: #2e3430;
  border: none;
  border-radius: 50px;
  font-size: 14px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: $cream-50;
  margin: 0 auto;
  margin-top: 40px;
  padding: 16px 70px;
  cursor: pointer;

  @include tablet-p {
    padding: 16px 20px;
  }
  @include mobile {
    padding: 16px 20px;
  }
}

.reservationBorder {
  position: absolute;
  left: 20px;
  top: 20px;
  width: calc(100% - 40px);
  height: calc(100% - 40px);
  border: 0.664418px solid rgba(67, 79, 80, 0.2);
  z-index: 0;
  @media (max-width: 1024px) {
    display: block;
  }
}
.gradientLeaf {
  display: none;
  position: absolute;
  bottom: -25px;
  right: 0;
  left: 0;
  margin: 0 auto;

  @include tablet-p {
    display: block;
  }

  @include mobile {
    display: block;
  }
}

// The Home Section
.theHomeSection {
  background: $green-80;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 110px;

  @media only screen and (min-width: 1025px) and (max-width: 1350px) {
    padding: 0 50px;
  }

  @include tablet-p {
    padding: 100px 20px 0px;
    align-items: flex-start;
  }

  @include mobile {
    flex-direction: column-reverse;
    padding: 0 20px;
  }

  @media (min-width: 1025px) and (max-width: 1366px) {
    overflow: hidden;
  }

  .homeSectionStyle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 1440px;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
    @include tablet {
      padding-bottom: 80px;
    }
  }

  .titleCustom {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    font-family: 'Editorial New';
    font-weight: 200;
    font-size: 65px;
    color: #e7e5df;
    letter-spacing: 0.01em;

    @include tablet-p {
      font-size: 60px;
      margin: 0;
    }
    @include heading-font
  }

  .textNotera {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 53px;
    letter-spacing: 0.01em;
    color: #e7e5df;
    position: relative;
    top: -25px;

    @include tablet-p {
      top: -20px;
      text-align: center;
    }

    @include mobile {
      top: 0;
      text-align: center;
      font-size: 33px;
    }
  }

  .imgBoxStyle {
    width: 600px;
    height: 400px;
    position: relative;

    @include tablet-p {
      width: 45vw;
      height: 300px;
      margin-top: 0px;
    }

    @include mobile {
      width: 90vw;
      height: 250px;
      margin-top: -140px;
    }
    @media only screen and (min-width: 1025px) and (max-width: 1150px) {
      width: 300px;
      height: 200px;
    }
    @media only screen and (min-width: 1151px) and (max-width: 1450px) {
      width: 450px;
      height: 300px;
    }

    img {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .headSec {
    display: flex;
    align-items: flex-start;
    position: relative;
    & > * + * {
      margin-left: 10px;
    }

    @include tablet-p {
      padding-bottom: 0px;
    }

    @include mobile {
      margin-top: 30px;
      padding-bottom: 30px;
    }
  }

  .groupSec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-right: 50px;

    @include tablet-p {
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
      margin-right: 30px;
    }

    @include mobile {
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-bottom: 50px;
      margin-right: 0;
    }
  }

  .discoverBtnMobile {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      width: 30px;
    }

    @include tablet-p {
      display: flex;
      top: 15px;
      width: 120px;
      margin-left: 50px;
    }

    @include mobile {
      display: flex;
      width: 90px;
    }
    @include tablet {
      margin-left: 100px;
    }
  }

  .discoverBtn {
    background: none;
    border: none;
    cursor: pointer;
    margin-bottom: 20px;
    position: relative;

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }

    @include desktop-lg {
      margin-right: 70px;
    }

    @include desktop-xlg {
      margin-right: 80px;
    }
  }

  .discoverBtn.rotateMe,
  .discoverBtnMobile.rotateMe {
    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    .imgStyle {
      animation: rotate 3s;
    }
  }

  .assetsSec {
    display: flex;
    align-items: flex-end;

    @include mobile {
      flex-direction: column;
    }
    @media only screen and (min-width: 1025px) and (max-width: 1350px) {
      & > * + * {
        margin-left: 100px;
      }
    }
    @media only screen and (min-width: 1350px) {
      & > * + * {
        margin-left: 140px;
      }
    }
  }
}

.requestSubmited {
  text-align: center;
}

.requestHeading {
  text-align: center;
  margin-top: 4rem;
}

.requestDescription {
  font-weight: 400;
  font-size: 20px;
  color: $black-100;
  opacity: 0.7;
  max-width: 91%;
  margin: 0 auto;

  @include subheading-font;
}

.millgroveText {
  font-family: 'Notera';
  font-weight: 400;
  font-size: 41.11px;
  letter-spacing: -0.01em;
  margin-top: 60px;
  text-align: center;
  color: $brown-70;

  @include mobile {
    margin-top: 50px;
    font-size: 33px;
  }
}
